Subject: bug#38238: (call-with-input-string "( . 42)" read) => 42

From: Andy Wingo <[email-masked]>
Date: Sat, 16 Nov 2019 22:15:43 +0100

Guile has a strange syntax extension, as described in the bug title.
It's not explicitly documented AFAIU and it seems it may simply be a
mistake.  We should consider making ( . 42) a lexical error.